apt-get upgrade -> The following packages have been kept back:

Dieses Thema im Forum "Installation und Konfiguration" wurde erstellt von dexcom, 1. Dez. 2014.

  1. dexcom

    dexcom New Member

    Hi all,

    habe gerade das Problem, dass folgende 5 Updates nicht insralliert werden.
    "clamav clamav-base clamav-daemon clamav-freshclam libclamav6"

    Weiter läuft auf dem System ISPConfig Version: 3.0.5.4p5

    Code:
    cat /etc/debian_version
    7.7
    
    cat /etc/apt/sources.list
    deb http://ftp.de.debian.org/debian/ wheezy main contrib non-free
    deb-src http://ftp.de.debian.org/debian/ wheezy main contrib non-free
    
    deb http://security.debian.org/ wheezy/updates main contrib non-free
    deb-src http://security.debian.org/ wheezy/updates main contrib non-free
    
    # wheezy-updates, previously known as 'volatile'
    deb http://ftp.de.debian.org/debian/ wheezy-updates main contrib non-free
    
    apt-get update
    Hit http://ftp.de.debian.org wheezy Release.gpg
    Hit http://ftp.de.debian.org wheezy-updates Release.gpg
    Hit http://ftp.de.debian.org wheezy Release
    Hit http://ftp.de.debian.org wheezy-updates Release
    Hit http://ftp.de.debian.org wheezy/main Sources
    Hit http://ftp.de.debian.org wheezy/contrib Sources
    Hit http://ftp.de.debian.org wheezy/non-free Sources
    Hit http://ftp.de.debian.org wheezy/main amd64 Packages
    Hit http://ftp.de.debian.org wheezy/contrib amd64 Packages
    Hit http://ftp.de.debian.org wheezy/non-free amd64 Packages
    Hit http://ftp.de.debian.org wheezy/contrib Translation-en
    Hit http://ftp.de.debian.org wheezy/main Translation-en
    Hit http://ftp.de.debian.org wheezy/non-free Translation-en
    Hit http://ftp.de.debian.org wheezy-updates/main Sources
    Hit http://ftp.de.debian.org wheezy-updates/contrib Sources
    Hit http://ftp.de.debian.org wheezy-updates/main amd64 Packages/DiffIndex
    Hit http://ftp.de.debian.org wheezy-updates/contrib amd64 Packages
    Hit http://ftp.de.debian.org wheezy-updates/non-free amd64 Packages
    Hit http://ftp.de.debian.org wheezy-updates/contrib Translation-en
    Hit http://ftp.de.debian.org wheezy-updates/main Translation-en/DiffIndex
    Hit http://ftp.de.debian.org wheezy-updates/non-free Translation-en
    Hit http://security.debian.org wheezy/updates Release.gpg
    Hit http://security.debian.org wheezy/updates Release
    Hit http://security.debian.org wheezy/updates/main Sources
    Hit http://security.debian.org wheezy/updates/contrib Sources
    Hit http://security.debian.org wheezy/updates/non-free Sources
    Hit http://security.debian.org wheezy/updates/main amd64 Packages
    Hit http://security.debian.org wheezy/updates/contrib amd64 Packages
    Hit http://security.debian.org wheezy/updates/non-free amd64 Packages
    Hit http://security.debian.org wheezy/updates/contrib Translation-en
    Hit http://security.debian.org wheezy/updates/main Translation-en
    Hit http://security.debian.org wheezy/updates/non-free Translation-en
    Reading package lists... Done
    
    apt-get upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages have been kept back:
      clamav clamav-base clamav-daemon clamav-freshclam libclamav6
    0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
    Tante Google meint ein "apt-get dist-upgrade" sollte helfen. Bevor ich hier mein System zerschieße würde ich gerne Wissen ob das OK ist?

    cu

    dexcom
     
  2. Till

    Till Administrator

    Du kannst auch einfach:

    apt-get install clamav clamav-base clamav-daemon clamav-freshclam libclamav6

    aufrufen.
     
  3. dexcom

    dexcom New Member

    Perfekt... Das war die Lösung... Alles wieder im grünen Bereich :)

    cu

    dexcom
     
  4. robotto7831a

    robotto7831a Member

    Ein "apt-get dist-upgrade" hätte auch funktioniert.
     

Diese Seite empfehlen